﻿<link href="https://use.fontawesome.com/releases/v5.14.0/css/all.css" rel="stylesheet">
@inject AuthenticationStateProvider AuthenticationStateProvider

<MudPaper Width="250px" Class="d-inline-flex py-3" Elevation="0">
    <MudNavMenu Class="mud-width-full">
        <MudText Typo="Typo.h6" Class="px-4">Menu</MudText>
        <MudDivider Class="my-2" />
        <MudNavLink Href="/" Icon="@Icons.Material.Filled.Dashboard">Home</MudNavLink>
        <MudNavLink Href="/files" Icon="@Icons.Material.Filled.Archive">Files</MudNavLink>
        <MudNavLink Href="/todo" Icon="@Icons.Material.Filled.Assignment">Todo</MudNavLink>
        <MudNavLink Href="/calendar" Icon="@Icons.Material.Filled.CalendarMonth">Garbage Calendar</MudNavLink>

        <AuthorizeView Policy="AdminOnly">
            <Authorized>
                <MudNavGroup Title="Settings" Icon="@Icons.Material.Filled.Settings" Expanded="false">
                    <MudNavGroup Title="Users" Icon="@Icons.Material.Filled.People" Expanded="false" IconColor="Color.Success">
                        <MudNavLink Href="/adduser" Icon="@Icons.Material.Filled.Security" IconColor="Color.Info">Add User</MudNavLink>
                        <MudNavLink Href="/showusers" Icon="@Icons.Material.Filled.Security" IconColor="Color.Info">Show Users</MudNavLink>
                    </MudNavGroup>
                </MudNavGroup>
            </Authorized>
            <NotAuthorized>
                <MudNavGroup Title="Settings" Icon="@Icons.Material.Filled.Settings" Expanded="false">
                    <MudNavGroup Title="Users" Icon="@Icons.Material.Filled.People" Expanded="false" IconColor="Color.Success">
                        <MudNavLink Href="/adduser" Icon="@Icons.Material.Filled.Security" IconColor="Color.Info">Add User</MudNavLink>
                        <MudNavLink Href="/showusers" Icon="@Icons.Material.Filled.Security" IconColor="Color.Info">Show Users</MudNavLink>
                    </MudNavGroup>
                </MudNavGroup>
            </NotAuthorized>
        </AuthorizeView>
    </MudNavMenu>
</MudPaper>

@code {
    protected override async Task OnInitializedAsync()
    {
        var authState = await AuthenticationStateProvider.GetAuthenticationStateAsync();
        var user = authState.User;

        if (user.Identity.IsAuthenticated)
        {
            var roles = user.Claims.Where(c => c.Type == ClaimTypes.Role).Select(c => c.Value).ToList();
            Console.WriteLine("User roles: " + string.Join(", ", roles));
        }
    }
}
